package cn.superdesk.uniorder.dao.mapper.thirdpart.szhtxx.electronicInvoice;

import cn.superdesk.uniorder.dao.entity.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxResult;
import cn.superdesk.uniorder.dao.entity.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxResultExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SzhtxxElectronicInvoiceFptxxResultMapper {
    long countByExample(SzhtxxElectronicInvoiceFptxxResultExample example);

    int deleteByExample(SzhtxxElectronicInvoiceFptxxResultExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SzhtxxElectronicInvoiceFptxxResult record);

    int insertSelective(SzhtxxElectronicInvoiceFptxxResult record);

    List<SzhtxxElectronicInvoiceFptxxResult> selectByExampleWithBLOBs(SzhtxxElectronicInvoiceFptxxResultExample example);

    List<SzhtxxElectronicInvoiceFptxxResult> selectByExample(SzhtxxElectronicInvoiceFptxxResultExample example);

    SzhtxxElectronicInvoiceFptxxResult selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SzhtxxElectronicInvoiceFptxxResult record, @Param("example") SzhtxxElectronicInvoiceFptxxResultExample example);

    int updateByExampleWithBLOBs(@Param("record") SzhtxxElectronicInvoiceFptxxResult record, @Param("example") SzhtxxElectronicInvoiceFptxxResultExample example);

    int updateByExample(@Param("record") SzhtxxElectronicInvoiceFptxxResult record, @Param("example") SzhtxxElectronicInvoiceFptxxResultExample example);

    int updateByPrimaryKeySelective(SzhtxxElectronicInvoiceFptxxResult record);

    int updateByPrimaryKeyWithBLOBs(SzhtxxElectronicInvoiceFptxxResult record);

    int updateByPrimaryKey(SzhtxxElectronicInvoiceFptxxResult record);
}
